name: "Build and push docker image"
on:
  push:
    branches:
      - main

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v4
      - name: Login registry
        uses: docker/login-action@v3
        with:
          registry: git.gliroid.com
          username: ${{ gitea.actor }}
          password: ${{ secrets.TOKEN }}
      - name: Build image
        run: docker build -t git.gliroid.com/pupyrinth/chronolock-pack:latest .
      - name: Push image
        run: docker push git.gliroid.com/pupyrinth/chronolock-pack:latest
